Mangools/API

Change annotation text

Update an existing user annotation on a tracking — change its text, date (YYYY-MM-DD) or nonShareable flag. Returns HTTP 204.

PUT
/serpwatcher/trackings/{tracking_id}/annotations/{annotation_id}

Authorization

ApiKeyAuth
x-access-token<token>

Your Mangools API key

In: header

Path Parameters

tracking_id*string

Tracking ID

annotation_id*string

annotation ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body?unknown

Response Body

application/json

curl -X PUT "https://api.mangools.com/v3/serpwatcher/trackings/string/annotations/string" \  -H "Content-Type: application/json" \  -d '{    "text": "string"  }'
{
  "date": "string",
  "content": {
    "text": "string",
    "keywords_count": 0,
    "avg": 0,
    "platformId": 0
  },
  "tracking_id": "string",
  "user_id": "string",
  "created_at": "string",
  "type": 0
}